Package com.avaya.clientservices.presence

## Enum PresenceLocationMode

- java.lang.Object
- - java.lang.Enum<PresenceLocationMode>
  - - com.avaya.clientservices.presence.PresenceLocationMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<PresenceLocationMode>`

      public enum PresenceLocationMode
      extends java.lang.Enum<PresenceLocationMode>

  Enumeration representing the location-based "mode" of a user.

  The Location-based "mode" of a user is used when the user wants to publish their location to other users, i.e. make it publicly available.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `HOME` | Location mode indicating that the user is at home.
    `MOBILE` | Location mode indicating that the user is online via a mobile device.
    `OFFICE` | Location mode indicating that the user is in the office.
    `TRAVELING` | Location mode indicating that the user is out of office traveling.
    `UNSPECIFIED` | Location mode is not specified.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PresenceLocationMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static PresenceLocationMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNSPECIFIED

          public static final PresenceLocationMode UNSPECIFIED

      Location mode is not specified.

    - #### OFFICE

          public static final PresenceLocationMode OFFICE

      Location mode indicating that the user is in the office.

    - #### HOME

          public static final PresenceLocationMode HOME

      Location mode indicating that the user is at home.

    - #### MOBILE

          public static final PresenceLocationMode MOBILE

      Location mode indicating that the user is online via a mobile device.

    - #### TRAVELING

          public static final PresenceLocationMode TRAVELING

      Location mode indicating that the user is out of office traveling.

  - ### Method Detail

    - #### values

          public static PresenceLocationMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PresenceLocationMode c : PresenceLocationMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PresenceLocationMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null